<template>
  <div class="liste">
    <h1>Mes listes</h1>
      <ListeComponent
      v-for="liste in listes"
      v-bind:key="liste.id"
      v-bind:liste="liste"
    ></ListeComponent>

      <router-link to="/new" class='add'>Nouvelle liste</router-link>
  </div>
</template>

<script>
import ListeComponent from "../components/ListeComponent.vue";

export default {
  name: "App",
  components: {
    ListeComponent
  },
  data: () => {
    return {
      listes: String
    };
  },
  created(){
      this.listes = JSON.parse(localStorage.getItem("listes"));
  },

  
};

</script>


<style scoped>
/*    Bouton d'ajout     */
.add{
  text-decoration: none;
  background-color: rgb(16, 172, 16);
  color : white;
  padding: 3px 6px;
}

.add:hover{
   background-color: rgb(77, 224, 77);
}
</style>